#!/usr/bin/env node
"use strict";

var _arg = _interopRequireDefault(require("arg"));

var _ = require("./");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var argSpec = {
  "--version": Boolean,
  "--help": Boolean,
  "--base-url": String
};
var argv = (0, _arg["default"])(argSpec);

if (argv["--version"]) {
  /* eslint-disable-next-line @typescript-eslint/no-var-requires */
  var packagejson = require("../../package.json");

  console.log(packagejson.version);
} else if (argv["--help"]) {
  console.log("\nGenerates a sitemap xml from your next.js routes.\nOptions:\n  --help                 Print this text\n  --version              Print the version\n  --base-url             Ensure the passed in file is conforms to the sitemap spec\n# examples\nGenerate a sitemap file\n  npx next-simple-sitemap --base-url https://example.com\n");
} else if (argv["--base-url"]) {
  console.log("\nCreating sitemap.xml for base url: " + argv["--base-url"] + "\n  ");
  (0, _.main)({
    baseUrl: argv["--base-url"]
  });
}
//# sourceMappingURL=cli.js.map