"use strict";

exports.__esModule = true;
exports.main = main;

var _path = _interopRequireDefault(require("path"));

var _fs = _interopRequireDefault(require("fs"));

var _sitemap = require("sitemap");

var _next = require("./utils/next");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function main(opts) {
  if (!opts.baseUrl) {
    throw new Error("No baseUrl was defined");
  }

  var dataRoutes = (0, _next.getNextRoutes)();
  var routeValues = dataRoutes.map(function (route) {
    return route.page;
  }).map(function (route) {
    return {
      url: route,
      changefreq: "daily",
      priority: 0.7
    };
  });

  var writeStream = _fs["default"].createWriteStream(_path["default"].resolve(process.cwd(), "./public/sitemap.xml"));

  var sitemap = new _sitemap.SitemapStream({
    hostname: opts.baseUrl
  });
  sitemap.pipe(writeStream);
  routeValues.forEach(function (link) {
    return sitemap.write(link);
  });
  sitemap.end();
  return routeValues;
}
//# sourceMappingURL=index.js.map