#!/usr/bin/env node
import arg from "arg";
import { main } from "./";
var argSpec = {
  "--version": Boolean,
  "--help": Boolean,
  "--base-url": String
};
var argv = arg(argSpec);

if (argv["--version"]) {
  /* eslint-disable-next-line @typescript-eslint/no-var-requires */
  var packagejson = require("../../package.json");

  console.log(packagejson.version);
} else if (argv["--help"]) {
  console.log("\nGenerates a sitemap xml from your next.js routes.\nOptions:\n  --help                 Print this text\n  --version              Print the version\n  --base-url             Ensure the passed in file is conforms to the sitemap spec\n# examples\nGenerate a sitemap file\n  npx next-simple-sitemap --base-url https://example.com\n");
} else if (argv["--base-url"]) {
  console.log("\n    Creating sitemap.xml for base url: " + argv["--base-url"] + "\n  ");
  console.log(main({
    baseUrl: argv["--base-url"]
  }));
}
//# sourceMappingURL=cli.js.map